org.springframework.core.convert.converter

## Interface ConditionalGenericConverter

All Superinterfaces:
  ConditionalConverter, GenericConverter

    public interface ConditionalGenericConverter
    extends GenericConverter, ConditionalConverter

A `GenericConverter` that may conditionally execute based on attributes of the `source` and `target` `TypeDescriptor`. See `ConditionalConverter` for details.

Since:
  3.0
Author:
  Keith Donald, Phillip Webb
See Also:
  `GenericConverter`, `ConditionalConverter`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.core.convert.converter.GenericConverter

`GenericConverter.ConvertiblePair`

### Method Summary

### Methods inherited from interface org.springframework.core.convert.converter.GenericConverter

`convert, getConvertibleTypes`

### Methods inherited from interface org.springframework.core.convert.converter.ConditionalConverter

`matches`